package com.lukouguoji.gnc.page.assemble.unload

import android.util.AndroidException
import android.view.View
import com.lukouguoji.gnc.databinding.ItemGncAssembleAddBinding
import com.lukouguoji.gnc.databinding.ItemGncAssembleAddNoRightBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcWaybillBean
import com.lukouguoji.module_base.bean.WaybillBean

class GncAssembleUnloadViewHolder(view: View) :
    BaseViewHolder<WaybillBean, ItemGncAssembleAddNoRightBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

//
        if (bean.needCheck) {
            binding.ivIcon.setOnClickListener {
                bean.checked.set(!bean.checked.get())
            }
        }

    }

}